/*
  Copyright 1996-2003
  Simon Whiteside

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

  $Id: ParseNode.java,v 1.9 2003/02/24 18:10:53 simkin_cvs Exp $
*/

package simkin;

/**
 * ParseNode - this class is the base class for nodes in the parse tree
 * <p>The classes derived this interface within Simkin are opaque to other packages.
*/
public abstract class ParseNode {
    private int m_LineNumber=0;
    /** this method returns an integer indicating the type of the node */
    public abstract int getType();
    /** this method returns an integer indicating the line number in the source at which the item starts */
    public int getLineNumber(){
	return m_LineNumber;
    }
    protected ParseNode(int line_num){
	m_LineNumber=line_num;
    }
}





