/*
  Copyright 1996-2003
  Simon Whiteside

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


* $Id: ScriptedExecutable.java,v 1.7 2003/02/24 18:10:53 simkin_cvs Exp $
*/
package simkin;
import java.io.*;

/**
 * This class is a base class for objects which store data and Simkin code in an associated TreeNode file
 */
public class ScriptedExecutable extends TreeNodeObject {
    /**
     * this constructor reads in the treenode file named and stores it as an instance variable
     * @param filename the name of the treenode file to load
     * @throws IOException if there was a problem reading the file
     * @throws FileNotFoundException if the file could not be found
     */
    public ScriptedExecutable(String filename) throws IOException, FileNotFoundException{
	super();
	load(filename,new FileInputStream(filename));
    }
    /** Blank constructor */
    public ScriptedExecutable(){
    }
}


